#include <GUIConstants.au3>
#include <GUIButton.au3>

#Include <GuiListView.au3>
#include <Process.au3>

#Include <teridons_scripts_descriptions.au3>

FileInstall( "..\bin\itunes_scripts.exe", "itunes_scripts.exe", 1)
$donate_url = "https://www.paypal.com/cgi-bin/webscr?cmd=_xclick""&""business=b8vs3vu02%40sneakemail%2ecom""&""item_name=Teridon%27s%20iTunes%20Scripts"
FileInstall("x-click-but04.bmp", "x-click-but04.bmp")

GUICreate("Teridon's iTunes Scripts - version 1.1", 580, 470) ; will create a dialog box that when displayed is centered

; Create a hash to store script items
Dim $map[100]

; Create the List view for the scripts and set the column width to the view width
$mylist=GUICtrlCreateListView ( "Script Name", 15, 15, 400, 280 , $LVS_NOCOLUMNHEADER)
_GUICtrlListView_SetColumnWidth($mylist, 0, 395)

; Create all the list items for each script
for $i = 0 to ($num_scripts -1)
	$item[$i] = GUICtrlCreateListViewItem( $script_list[$i][0], $mylist)
	; Associate item with script name
	$map[$item[$i]] = $i
Next

; Create a text box for the Description
GUICtrlCreateLabel("Description", 15, 303)
$text = GUICtrlCreateEdit( "select a script to see a description", 15, 320, 400, 150)

; Run and exit buttons
$run_button = GUICtrlCreateButton("Run selected Script", 420, 50, 150, 40)
$donate_button = GUICtrlCreateButton("Donate", 465, 350, 62, 31, BitOR($BS_BITMAP,$BS_FLAT))
GUICtrlSetImage($donate_button, "x-click-but04.bmp")
$exit_button = GUICtrlCreateButton("Exit", 420, 400, 150, 40)
GUISetState ()

$msg = 0
$last_selected = 0

While 1
  $msg = GUIGetMsg(0)
	Select
		Case $msg = $GUI_EVENT_PRIMARYDOWN
			; Set the description in the text box to the appropriate value
			if (GUICtrlRead($mylist) > 0) Then
				GUICtrlSetData( $text, $script_list[$map[GUICtrlRead($mylist)]][1])
			EndIf
			
		Case $msg = $exit_button
			ExitLoop

		Case $msg = $donate_button
			$rc = _RunDOS("start " & $donate_url)
		
		Case $msg = $run_button
			if (GUICtrlRead($mylist) > 0) Then
				$script_selected = GUICtrlRead(GUICtrlRead($mylist))
				$script_selected = StringRegExpReplace ( $script_selected, "\|", "")
				MsgBox( 0 , "value selected" , $script_selected )
				;Run("perl itunes_scripts.pl " & $script_selected, "consolidate" )
				Run("itunes_scripts.exe " & $script_selected  )
			Else
				MsgBox( 0, "Hey!" , "You must select a script to run, silly")
			EndIf
			
		Case $msg = 0
			; Set the description in the text box to the appropriate value
			$num = GUICtrlRead($mylist)
			if ( ($num > 0) And ($num <> $last_selected) ) Then
				GUICtrlSetData( $text, $script_list[$map[GUICtrlRead($mylist)]][1])
			EndIf
			$last_selected = GUICtrlRead($mylist)
			
		Case $msg = $GUI_EVENT_CLOSE
			ExitLoop
			
	EndSelect
	
WEnd