;~ ###############################################################################
;~ #
;~ # itunes_album_playlists.au3
;~ #
;~ # This script will create playlists for every album in your Library
;~ #
;~ # Copyright (C) 2008  Robert Jacobson
;~ # written by: Robert Jacobson (http://home.comcast.net/~teridon73/itunesscripts)
;~ # Last Updated: 19 Jan 2008
;~ # Version 1.1
;~ #
;~ # This script is GPL v2.  see http://www.gnu.org/copyleft/gpl.html
;~ #
;~ # Change record:
;~ # 	1.1	Translated script from perl to Au3
;~ #
;~ ###############################################################################

#include <AssocArrays.au3>

Global $avArray
itunes_album_playlists()

Func itunes_album_playlists()
	
	$iTunes = ObjCreate("iTunes.Application")
	$seen = ObjCreate("System.Collections.Hashtable")
	
	$playlist = $iTunes.LibraryPlaylist
	$playlist_name = $playlist.Name

	$tracks = $playlist.Tracks
	$num_tracks = $tracks.Count
	
;~ 	AssocArrayCreate($avArray, $num_tracks)

	ProgressOn("Please wait", "Getting album and artist information...")

	; Get all the tracks in the playlist
	For $k = 1 to 20; $num_tracks
		;ConsoleWrite("num: " & $num_tracks & " Count: " &  $tracks.Count & " k: " & $k & @CRLF)
		$track = $tracks.Item($k);
		$track_kind = $track.Kind();

		if ($track_kind == 1) Then
			; File
			$artist = $track.Artist();
			$album = $track.Album();
			$key = $artist & $album
			ConsoleWrite ( "Key: " & $key & @CRLF)
;~ 			AssocArrayAssign($avArray, $key, $track)
			If $seen.ContainsKey($key) Then
				$tmp = $seen($key)
				$tmp &= "," & $k
			Else
				$seen($key) = $k
			EndIf
			
			; Update Progress Bar
			$percent = $k / $num_tracks * 100
			ProgressSet( $percent , "Track " & $k & " of " & $num_tracks )
		EndIf
	Next


for $key in $seen.Values
	ConsoleWrite( $seen($key) & @CRLF)
Next

;~ 	for my $artist (sort keys %seen) {
;~ 		print OUT "$artist\n---------------\n";
;~ 		for my $album ( sort keys %{ $seen{$artist} } ) {
;~ 			next if ($album eq "");
;~ 			print "Creating playlist for album $album\n";
;~ 			#Create a playlist for this album
;~ 			my $album_playlist = $iTunes.CreatePlaylist("$album");
;~ 			for my $track ( @{$seen{$artist}{$album}} ) {
;~ 				$album_playlist.AddTrack($track);
;~ 			}
;~ 		}
;~ 	}

;~ 	print "\nDone\n";
;~ 	}

EndFunc
