$num_scripts = 19
$num_elements = 2
Dim $item[$num_scripts]

Dim $script_list[$num_scripts][$num_elements] = [ _ 
	[ _ 
		"itunes_album_playlists" , _ 
		"creates playlists for every album it finds in your Library" & @CRLF & _ 
		"NOTE: Creating a large number of playlists will slow iTunes greatly!" _ 
	], _
	[ _ 
		"itunes_album_and_singles_playlist" , _ 
		"looks in the entire music library and makes two playlists - " & @CRLF & _ 
		"'Albums' and 'Singles'.  The 'Albums' list will contain" & @CRLF & _ 
		"all the songs from albums that have >= 6 tracks from that album." & @CRLF & _ 
		"Similarly, the 'Singles' playlist will have all the songs that" & @CRLF & _ 
		"have <= 3 tracks from that album." _ 
	], _ 
	[ _ 
		"itunes_add_m3u_playlist" , _ 
		"find all .m3u playlists in the given directory and add the contents to iTunes." _ 
	], _ 
	[ _ 
		"itunes_artist_album_listing" , _ 
		"creates a text file on your Desktop called 'albumlisting.txt' which" & @CRLF & _ 
		"lists all the albums for each artist found in your Library.!" _ 
	], _
	[ _ 
		"itunes_backup_playlists" , _ 
		"backup selected (or all) playlists in iTunes to a text file (one text file" & @CRLF & _ 
		"per playlist). Files are placed in a subdirectory of the same location" & @CRLF & _ 
		"as the script called 'Playlist Backups'" _ 
	], _
	[ _ 
		"itunes_change_showname" , _ 
		"Change the Show name of the selected video files to whatever you want" _ 
	], _
	[ _ 
		"itunes_find_by_location" , _ 
		"find all tracks in the user-selected playlist whose FILE PATH matches" & @CRLF & _ 
		"a user-supplied pattern (regex).  Matching tracks are added to a new" & @CRLF & _ 
		"playlist called 'Location'" _ 
	], _
	[ _ 
		"itunes_find_by_name" , _ 
		"find all tracks in the user-selected playlist whose SONG NAME matches" & @CRLF & _ 
		"a user-supplied pattern (regex).  Matching tracks are added to a new" & @CRLF & _ 
		"playlist called 'Song Name'" _ 
	], _
	[ _ 
		"itunes_insert_artwork" , _ 
		"will embed downloaded artwork into the ID3 tag for the selected playlist" _ 
	], _
	[ _ 
		"itunes_ipod_playlist" , _ 
		"takes all the songs on the iPod and creates a new playlist in iTunes" & @CRLF & _ 
		"called 'iPod Songs' containing all the songs on the iPod.  Tracks" & @CRLF & _ 
		"must already be in your Library" _ 
	], _
	[ _ 
		"itunes_ipod_playlist_to_itunes" , _ 
		"attempt to recreate selected playlists from your iPod in iTunes." & @CRLF & _ 
		"the songs must already be in your Library." _ 
	], _
	[ _ 
		"itunes_no_artwork_playlist" , _ 
		"find all the tracks in the selected playlist that do not have artwork" & @CRLF & _ 
		"and put them in a playlist called 'No Artwork'" _ 
	], _
	[ _ 
		"itunes_preferences_fix" , _ 
		"restore the settings in iTunes so that it will ask for confirmation" & @CRLF & _ 
		"when deleting either a song from the Library or a non-empty playlist." & @CRLF & _ 
		"*****NOTE: only tested with iTunes 7.0, 7.1, 7.2, 7.4, 7.5.0.20, and 7.6.0.29!" _ 
	], _
	[ _ 
		"itunes_remove_by_location" , _ 
		"find all tracks in the user-selected playlist whose file path matches" & @CRLF & _ 
		"a user-supplied pattern (regex).  Matching tracks are removed from" & @CRLF & _ 
		"the playlist.  The files remain in the Library (unless you select the" & @CRLF & _ 
		"the Library playlist)" _
	], _
	[ _ 
		"itunes_remove_by_playlist" , _ 
		"remove all songs from your iTunes Library based on the playlist you" & @CRLF & _ 
		"selected.  It will also optionally remove those files from your hard" & @CRLF & _ 
		"drive." _ 
	], _
	[ _ 
		"itunes_remove_duplicates" , _ 
		"remove duplicates from the user-specified playlist(s)." & @CRLF & _ 
		"Duplicates are determined by exact file/path name" _ 
	], _
	[ _ 
		"itunes_remove_notfound" , _ 
		"remove lost/dead tracks from the iTunes Music library." _ 
	], _
	[ _ 
		"itunes_vidkind" , _ 
		"change the video type (TV Show, Movie, Music Video) of files in a the" & @CRLF & _
		"playlist you select" _ 
	], _
	[ _ 
		"mm_rating_to_itunes" , _ 
		"Import MediaMonkey ratings into iTunes for the tracks you select in iTunes." & @CRLF & _
		"The script reads the ID3v2 POPM tags that MediaMonkey writes to the MP3s" & @CRLF & _
		"and translates them to iTunes ratings.  Your existing ratings (if any) are" & @CRLF & _
		"overwritten." _ 
	] _
]